Page MenuHomePhabricator

Rendering Test for Swivel Mode
Closed, ResolvedPublic

Description

Implement an automatic rendering test for the swivel mode.

Event Timeline

I'm removing the core change flag. Even for a test, a minimal change description would be nice, e.g. what is the goal of the test, what is tested and how? This avoids tickets/branches that run forever because it is unclear when they are finished. The document linked from http://mitk.org/wiki/ChangeRequests/12268 does not describe a "swivel mode test".

Any test is welcome, though, so a simple description will do.

Also, is there a reason why you flagged the report "private"? You can undo this by unchecking and pressing "Save Changes" if you want to.

oblique multiplanar reconstruction reference of the Pic3d image

I implemented a first version of this test and pushed it into the branch "bug-12268-swivelrendertest". The test is working, it constructs an oblique mulitplanar reconstruction of the Pic3d and compares it to the reference image in the MITK-Data\RenderingTestData\ReferenceScreenshots directory. The plain is rotated around the origin with {X=0.2, Y=0.3, Z=0.5}. The mitkRenderingTestHelper has also been improved.

I enhanced the core change request.

I implemented a "GetDataStorage()" method for the RenderingTestHelper which is generally useful for modifying any kind of data during any rendering test.

This could be used to get the center of the image via:
mitk::Image::Pointer image = static_cast<mitk::Image*>(renderingHelper.GetDataStorage()->GetNode(mitk::NodePredicateDataType::New("Image"))->GetData());

mitk::Point3D imageCenter = image->GetGeometry()->GetCenter();

This point can be used for to reorient the slices, however, the resulting image is slightly different compared to the first implemantation of Alexandra:

mitk::Stepper::Pointer stepper = sliceNavigationController->GetSlice();
 sliceNavigationController->GetSlice()->SetPos(stepper->GetSteps()/2);

TODO: Decide which version we want to use for testing, generate the valid image and merge into the master.

[c8858d]: Merge branch 'bug-12268-swivelrendertest'

Merged commits:

2012-08-01 16:51:43 Thomas Kilgus [3a1342]
Removed old swivel version by alexandra. Added comments to new version.


2012-07-09 10:31:06 Thomas Kilgus [9afd5d]
Implemented GetDataStorage, new method for setting the center of rotation, and wrote some docu.


2012-06-27 16:22:06 Alexandra Derntl [e42148]
added swivel rendering test

[f1f50d]: Merge branch 'bug-12268-swivelrendertest'

Merged commits:

2012-08-02 18:02:14 Thomas Kilgus [222482]
COMP: Removed swivel test. Not working in windows.

[ec6bc2]: Merge branch 'bug-12268-swivelrendertest'

Merged commits:

2012-08-02 18:43:12 Thomas Kilgus [fca975]
COMP: added property to run all rendering tests in serial.

[f381ea]: Merge branch 'bug-12268-swivelrendertest'

Merged commits:

2012-08-02 18:58:30 Thomas Kilgus [5712ea]
COMP: Removed opacity test. Not working on windows.

[56efbf]: Merge branch 'bug-12268-swivelrendertest'

Merged commits:

2012-08-02 19:08:33 Thomas Kilgus [d57925]
COMP: Removed property of opactiy test.

[8e84eb]: Merge branch 'bug-12268-swivelrendertest'

Merged commits:

2012-08-03 10:13:44 Thomas Kilgus [c29295]
Try all tests again.

[e2430d]: Merge branch 'bug-12268-swivelrendertest'

Merged commits:

2012-08-03 14:08:27 Thomas Kilgus [68e20e]
COMP: Removed opacity test. Not working with software rendering.

kislinsk edited projects, added MITK (2012-09); removed MITK.Aug 1 2016, 10:48 PM